Kann ich diese Software für OSX kompilieren ?

Diskutiere das Thema Kann ich diese Software für OSX kompilieren ? im Forum Mac OS Entwickler, Programmierer

  1. BigBasti

    BigBasti Thread Starter Mitglied

    Beiträge:
    114
    Zustimmungen:
    1
    Mitglied seit:
    16.11.2005
    Meine Schwester bräuchte diese Software.
    http://bildungsdoku-gabi.de/
    Kann ich die unter OSX zum laufen bekommen ?
    Den Quellcode gibt es auf der Website.

    Oder kennt einer eine Alternative ?

    P.S.: Ich hoffe das ist das richtige Forum dafür, ansonsten bitte verschieben.
     
  2. gallardo

    gallardo Mitglied

    Beiträge:
    343
    Zustimmungen:
    10
    Mitglied seit:
    30.11.2004
    hat sie nen intel-mac? falls ja, einfach fusion oder parallels laufen lassen?
     
  3. BigBasti

    BigBasti Thread Starter Mitglied

    Beiträge:
    114
    Zustimmungen:
    1
    Mitglied seit:
    16.11.2005
    Ja, hat sie.
    Das wäre auch die alternative. Besser wäre es natürlich wenn es nativ laufen würde.
     
  4. TerminalX

    TerminalX Mitglied

    Beiträge:
    1.823
    Zustimmungen:
    108
    Mitglied seit:
    12.01.2004
    Soviel zur Alternative.

    Was die eigendlich Frage angeht, nämlich ob man dieses Programm für Mac compilieren kann folgendes:
    Auf der Seite http://bildungsdoku-gabi.de/download.php steht unter anderem welche Programm/Libs usw nötig sind zum kompilieren. Ich habe mir ehrlich gesagt nicht alle angeschaut, aber QT sieht immer gut aus, aber wenn ich das hier so lesen, denke ich kaum, dass es ohne große Mühen kompilierbar ist:

     
  5. below

    below Mitglied

    Beiträge:
    13.504
    Zustimmungen:
    1.088
    Mitglied seit:
    15.03.2004
    Ich glaube, MinGW ist eben auf OS X nicht notwendig.

    Mit Qt sollte es gehen.

    Alex
     
  6. BigBasti

    BigBasti Thread Starter Mitglied

    Beiträge:
    114
    Zustimmungen:
    1
    Mitglied seit:
    16.11.2005
    Könnte mir jemand helfen und mir sagen was ich zum kompilieren machen muss ?
    Habe da nicht so die Erfahrung.
     
  7. below

    below Mitglied

    Beiträge:
    13.504
    Zustimmungen:
    1.088
    Mitglied seit:
    15.03.2004
    Dann wird es schwer.

    Du brauchst erstmal Qt von Trolltech und die anderen, für OS X verfügbaren Libraries. Dann würde ich es einfach mal versuchen

    Alex
     
Die Seite wird geladen...
  1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Akzeptieren Weitere Informationen...